Subject: bug#6974: Emacs doesn't like Swedish ä (on w32)

From: Lennart Borgman <[email-masked]>
Date: Fri, 3 Sep 2010 13:59:59 +0200

On Fri, Sep 3, 2010 at 1:19 PM, Lennart Borgman
<[email-masked]> wrote:
> On Fri, Sep 3, 2010 at 10:08 AM, Eli Zaretskii <[email-masked]> wrote:
>>> From: Lennart Borgman <[email-masked]>
>>> Date: Thu, 2 Sep 2010 23:58:04 +0200
>>> Cc:
>>>
>>> * After M-x set-language-environment RET utf-8 RET and then opening a
>>> new org file.
>>>
>>> When choosing the file the char "ä" is shown as \344. It looks the
>>> same when inserted in the buffer as an org link to the file.
>>
>> set-language-environment changes the defaults for various
>> coding-systems, including file-name-coding-system that's used for
>> decoding file names.  On Windows, you should _never_ have
>> file-name-coding-system different from the current codepage, because
>> that's the only encoding of file names Emacs can currently support on
>> Windows.  (The other one is UTF-16, which is how Windows encodes file
>> names on the disk, but Emacs does not yet support that, because such
>> support would need to switch all the file APIs to use wide
>> characters.)
>
> Using "M-x set-language-environment" was just a way to try to
> reproduce the problem. I do not know how to do that otherwise. (I know
> very little about coding systems.)
>
>> So the question is: what is your value of file-name-coding-system,
>> after you invoke set-language-environment?
>
> It is nil both before and after "M-x set-language-environment".
>
> But something clearly has changed, see what I wrote initially.

It is default-file-name-coding-system that has changed.

I found that my problem was caused by a left over
current-language-environment (set to UTF-8) in my custom file.

Thanks for the help. Sorry for the noise.